summaryrefslogtreecommitdiffstats
path: root/strip.sh
diff options
context:
space:
mode:
authorRemi Collet <fedora@famillecollet.com>2013-06-20 07:41:43 +0200
committerRemi Collet <fedora@famillecollet.com>2013-06-20 07:41:43 +0200
commit3630ef1e81c94e3a3232f6276856706933610490 (patch)
treee7804d5fa79530c209e6d0c11d1b1de6bad339d0 /strip.sh
parentbbdabff19318c120baea33a1b537efa65c9c4f6e (diff)
php 5.5: drop json from sources
Diffstat (limited to 'strip.sh')
-rwxr-xr-xstrip.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/strip.sh b/strip.sh
new file mode 100755
index 0000000..5939bec
--- /dev/null
+++ b/strip.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+ echo "usage $0 version"
+ exit 1;
+fi
+if [ ! -f php-$1.tar.xz ]; then
+ echo "missing php-$1.tar.xz archive"
+ exit 2;
+fi
+old=$(mktemp)
+new=$(mktemp)
+
+echo "Untar..."
+tar xf php-$1.tar.xz
+rm -rf php-$1/ext/json
+echo "Tar..."
+tar cJf php-$1-strip.tar.xz php-$1
+
+echo "Diff..."
+tar tf php-$1.tar.xz | sort >$old
+tar tf php-$1-strip.tar.xz | sort >$new
+diff $old $new
+
+rm -f $old $new